<div class="container-fluid">
    <div class="row">
        <div class="col-12  d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center">
            <h1 class="title"><%= title %></h1>
            <div class="btn-toolbar mb-2 mb-sm-0">
                
                <div class="btn-group mr-2">

                    <div class="dropdown">
                        <button type="button" class="btn btn-sm btn-outline-primary dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Ordenar por</button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" href="?orderBy=fullname">Compradores</a>
                            <a class="dropdown-item" href="?orderBy=artistic_name">Artistas</a>
                            <a class="dropdown-item" href="?orderBy=title">Artículo</a>
                        </div>
                    </div>
                    <div class="dropdown">
                        <button type="button" class="btn btn-sm btn-outline-primary dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Filtrar por</button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" href="?filterBy=Finalizado">Finalizado</a>
                            <a class="dropdown-item" href="?filterBy=Cancelado">Cancelado</a>
                            <a class="dropdown-item" href="?filterBy=En camino">En camino</a>
                        </div>
                    </div>
                </div>
               
            </div>
            
        </div>
        <div class="col-12">
            <hr class="mt-1">
        </div>

        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-hover ">
                    <thead class="thead-primary">
                        <tr>
                            <th>#</th>
                            <th>Orden</th>
                            <th>Artículo</th>
                            <th>Cantidad</th>
                            <th>Cliente</th>
                            <th>Artista</th>
                            <th>Fecha</th>
                            <th>Estado del pedido</th>
                            <th>Importe total</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% orders.forEach((order, idx) => { %> 
                        <tr>
                            <td><%= idx+1 %></td>
                            <td><%= order.code %></td>
                            <td><%= order.title %></td>
                            <td><%= order.quantity %></td>
                            <td><a href="/admin/customers/<%= order.customer_user_username %>"><%= order.fullname %></a></td>
                            <td><a href="/admin/customers/<%= order.artist_user_username %>"><%= order.artistic_name %></a></td>
                            <td><%= new Date(order.create_time).toLocaleDateString("es-CO", { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' }) %></td>
                            <td><%= order.status %></td>
                            <td>$<%= parseFloat(order.total).toLocaleString('es-CO') %></td>
                            <td>
                                <div class="btn-group">
                                    
                                    <a type="button" class="btn btn-sm btn-outline-primary" href="orders/<%= order.code %>"><i class="fas fa-eye mx-1"></i></a>
                                    
                                </div>
                            </td>

                        </tr>
                        <% }); %> 
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
